<?php
namespace FM\Factory;

use Doctrine\ORM\EntityManager;
use FM\Traits\TQuery;

class FindFactory  {

    use TQuery;

    protected $connection;

    protected $entityManager;

    public function __construct(EntityManager $entityManager) {
        $this->connection = $entityManager->getConnection();
        $this->entityManager = $entityManager;
    }

    public function findOperador($filtro) {

        $sql = "SELECT CDOPERADOR, NMOPERADOR
                FROM OPERADOR
                WHERE".$filtro."
                ORDER BY NMOPERADOR";
        
        return $this->createAndExecuteQueryAndBuildResponseData($this->entityManager, $sql);         

    }

    public function findLocal($filtro) {

        $sql = "SELECT NRLOCALCLIENTE, NMLOCALCLIENTE
                FROM FCM_LOCALCLI
                WHERE".$filtro."
                ORDER BY NMLOCALCLIENTE";
        
        return $this->createAndExecuteQueryAndBuildResponseData($this->entityManager, $sql);
    }

    public function findTipoLocal($filtro) {

        $sql = "SELECT NRTIPOLOCALCLI, NMTIPOLOCALCLI
                FROM FCM_TIPOLOCALCLI
                WHERE".$filtro."
                ORDER BY NMTIPOLOCALCLI";
        
        return $this->createAndExecuteQueryAndBuildResponseData($this->entityManager, $sql);
    }

    public function findChecklist($filtro) {
        $sql = "SELECT NRCHECKLIST, NMCHECKLIST
                FROM FCM_CHECKLIST
                WHERE".$filtro."
                ORDER BY NMCHECKLIST";
        
        return $this->createAndExecuteQueryAndBuildResponseData($this->entityManager, $sql);
    }
}
