import { AppController } from './AppController';
import { TarefaController } from './TarefaController';
import { ApontamentoController } from './ApontamentoController';
import { CadastroController } from './CadastroController';
import { NovoCriterioController } from './NovoCriterioController';
import { ChecklistController } from './ChecklistController';
import { Fm00000000DashboardController } from './Fm00000000Dashboard/Fm00000000DashboardController';
import { NovoChecklistController } from './NovoChecklistController';
import { Fm00000001DashboardSupervisorController } from './Fm00000000Dashboard/Fm00000001DashboardSupervisorController';
import { ModalControllerAddProcedimento } from './ModalControllerAddProcedimento';
import { ModalControllerAddAtividade } from './ModalControllerAddAtividade';
import { ModalController } from './ModalFuncionariosController';
import { QRCodeController } from './QRCodeController';
import { LoginController } from './LoginController';
import { ModalTransfer } from './ModalTransfer';
import { ModalTask } from './ModalTask';
import { ControllerTarefaRecorrente } from './Controller_tarefaRecorrente';
import { ModalPAcessoController } from './ModalPAcessoController';
import { FCMAnaliseNaoConformidade } from './FCMAnaliseNaoConformidade';
import { PerfilDeAcessoController } from './PerfilDeAcessoController';
import { Fm00005000VistoriasController } from './Fm00005000Vistorias/Fm00005000VistoriasController';
import { ModalLoading } from './ModalLoading';
import { ParametrosSensorController } from './ParametrosSensorController';
import { ModalHierarquiaController } from './ModalHierarquiaController';
import { HierarquiasController } from './HierarquiasController';
import { ModalQRCodeController } from './ModalQRCodeController';
import { ModalTarefasSolicitacoesController } from './ModalTarefasSolicitacoesController';
import { Fm00020000SolicitacoesController } from './Fm00020000Solicitacoes/Fm00020000SolicitacoesController';
import { ControllerNovoChecklist } from './Controller_novoChecklist';
import { BusinessPartnerController } from './BusinessPartner/BusinessPartnerController';
import { TabInterlocutorController } from './BusinessPartner/TabInterlocutorController';
import { TabAddressController } from './BusinessPartner/TabAddressController';
import { TabCommunicationController } from './BusinessPartner/TabCommunicationController';
import { TabBankDetailsController } from './BusinessPartner/TabBankDetailsController';
import { TabStandardFinancialIndicesController } from './BusinessPartner/TabStandardFinancialIndicesController';
import { TabBillingParametersController } from './BusinessPartner/TabBillingParametersController';
import { TabLogotypeController } from './BusinessPartner/TabLogotypeController';
import { ControllerSensores } from './sensor/controller_sensores';
import { ControllerParametrizacaoGeral } from './controller_parametrizacaoGeral';
import { Fm00002TipoLocalController } from './locais_atendimento/Fm00002TipoLocalController';
import { Fm00002LocalController } from './locais_atendimento/Fm00002LocalController';
import { RelatorioVistoriaController } from './relatorios/RelatorioVistoriaController';
import { RelatorioTarefasController } from './relatorios/RelatorioTarefasController';
import { CalendarioController } from './Calendario/CalendarioController';
import { Fm0000000HierarquiaUsuariosController } from './Fm0000000HierarquiaUsuarios/Fm0000000HierarquiaUsuariosController';

export default {
  AppController,
  TarefaController,
  ApontamentoController,
  CadastroController,
  NovoCriterioController,
  LoginController,
  ChecklistController,
  Fm00000000DashboardController,
  Fm00000001DashboardSupervisorController,
  ModalController,
  QRCodeController,
  ModalControllerAddProcedimento,
  NovoChecklistController,
  ModalControllerAddAtividade,
  ModalPAcessoController,
  ModalTransfer,
  PerfilDeAcessoController,
  FCMAnaliseNaoConformidade,
  Fm00005000VistoriasController,
  ModalLoading,
  ModalTask,
  ParametrosSensorController,
  ModalHierarquiaController,
  HierarquiasController,
  ModalQRCodeController,
  Fm00020000SolicitacoesController,
  ModalTarefasSolicitacoesController,
  ControllerNovoChecklist,
  BusinessPartnerController,
  TabInterlocutorController,
  TabAddressController,
  TabCommunicationController,
  TabBankDetailsController,
  TabStandardFinancialIndicesController,
  TabBillingParametersController,
  TabLogotypeController,
  ControllerTarefaRecorrente,
  ControllerSensores,
  ControllerParametrizacaoGeral,
  Fm00002TipoLocalController,
  Fm00002LocalController,
  RelatorioVistoriaController,
  RelatorioTarefasController,
  CalendarioController,
  Fm0000000HierarquiaUsuariosController,
};
